<div class="row  border-bottom white-bg dashboard-header">
  <div class="col-md-12">
  <h2>Access permissions</h2>
  </div>
</div> 
<div class="ibox-content">
  <div class="table-responsive custom-table">
    <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
      <thead>
        <tr>
          <th scope="col"></th>
          <th scope="col">Menu List</th>
        </tr>
      </thead>
      <tbody [formGroup]="myForm" *ngIf="menuList">
        <tr *ngFor="let menu of menuList">
          <td style="width:3px">
            <h3 class="text-center">   
            <div *ngIf="checkRole(menu.menu_id) else other_content1">
                <input type="checkbox" checked  (change)="onChangeMenu(menu.menu_id, $event.target.checked,menu.subMenu)">      
            </div>
            <ng-template #other_content1><input type="checkbox" (change)="onChangeMenu(menu.menu_id, $event.target.checked,menu.subMenu)"></ng-template>
            </h3>
          </td>
          <td>
            <h3 class="text-capitalize">{{menu.menu}}</h3>
                <tr *ngFor="let subMenu of menu.subMenu">
                  <td>
                    <h4 class="text-center">       
                      <div *ngIf="checkRole(subMenu._id) else other_content2">
                          <input class="text-right" type="checkbox" checked (change)="onChange(subMenu._id, $event.target.checked,menu.menu_id)">
                      </div>
                      <ng-template #other_content2><input type="checkbox" (change)="onChange(subMenu._id, $event.target.checked,menu.menu_id)"></ng-template>
                    </h4> 
                  </td>
                  <td>
                      <h4 class="text-capitalize" style="padding-left:5px">{{subMenu.name}}</h4>
                  </td>
                </tr>
            </td>
        </tr>
      </tbody>
      <button  class="btn btn-primary" type=”submit” (click)="onSubmit()">Save</button>
    </table>


    <br>
    <div class="container-fluid" *ngIf="!menuList">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-12 text-center form-group">
            No records found
          </div>
        </div>
      </div>
    </div>
  </div>
</div>